
#include <stdio.h>

#ifndef MAC
#include "foreign.h"
#endif

#define MAX_CHARS 32
#define NO_SYM	  -1L

void 	init_symbols();
short	load_symbols(FILE * f, char *fname);
char * 	print_symbols();	
Boolean noSymbols();

short 	insert(char *id, long val);
short 	removeAll();
Boolean lookup_id(char *id,long *out);
char  *	lookup_val(long val);
void trash_sep(char *str);

short load_table(FILE * f, char *fname);
short load_equates(FILE * f, char *fname);
short removeAll();
